TOUPPER(3)

NAME
toupper, _toupper - lower case to upper case letter conversion

SYNOPSIS
#include <ctype.h>
int
toupper(int c);
int
_toupper(int c);

DESCRIPTION
The toupper() function converts a lower-case letter to the corresponding upper-case letter. The _toupper() function is identical to toupper() except that c must be a lower-case letter.

RETURN VALUES
If the argument to the toupper() function is a lower-case letter, the corresponding upper-case letter is returned if there is one; otherwise the argument is returned unchanged. If the argument to the _toupper() function is a lower-case letter, the corresponding upper-case letter is returned; otherwise the output is undefined.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), ascii(7)

STANDARDS
The toupper() function conforms to ansiC.